#ifndef QTGUI1_H
#define QTGUI1_H

#include <QMainWindow>
#include <QFileDialog>
#include <QAction>

#include <QMenu>
#include <QMenuBar>
#include <QComboBox>
#include <QLabel>

#include <string>

#include <brlcad/ConstDatabase.h>

using namespace std;

class QtGUI1 : public QMainWindow
{
    Q_OBJECT

public:
    explicit QtGUI1(QString file, QWidget *parent = 0);
    void OpenFile();
    void LoadTops();

private slots:
    void LoadExtends();

private:
    BRLCAD::ConstDatabase * database;
    QString filePath;
    QMenuBar * menuBar;
    QMenu * fileMenu;
    QComboBox * CBtops;
    QLabel * LBextents;
};

#endif // QTGUI1_H
